Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opencyc.api
Class UnitTest.ApiRequestor

    java.lang.Object
      |
      +--java.lang.Thread
            |
            +--org.opencyc.api.UnitTest.ApiRequestor

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  UnitTest

protected class UnitTest.ApiRequestor
extends java.lang.Thread

Class ApiRequestor.

Field Summary
`boolean` | `done`
`java.lang.String` | `name`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`UnitTest.ApiRequestor(java.lang.String name, int repeatCount, java.lang.String durationFactor, CycAccess cycAccess)` Constructs a ApiRequestor object.

Method Summary
`void` | `run()` Makes some API requests.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    public java.lang.String name

### done

    public boolean done

Constructor Detail

### UnitTest.ApiRequestor

    public UnitTest.ApiRequestor(java.lang.String name,
                                 int repeatCount,
                                 java.lang.String durationFactor,
                                 CycAccess cycAccess)

  Constructs a ApiRequestor object.

Method Detail

### run

    public void run()

  Makes some API requests.
  Overrides:
    `run` in class `java.lang.Thread`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD